Ruby: include/ruby/thread_native.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Functions
thread_native.h File Reference

Go to the source code of this file.

## Functions
rb_nativethread_id_t | rb_nativethread_self ()
void | rb_nativethread_lock_initialize (rb_nativethread_lock_t *lock)
void | rb_nativethread_lock_destroy (rb_nativethread_lock_t *lock)
void | rb_nativethread_lock_lock (rb_nativethread_lock_t *lock)
void | rb_nativethread_lock_unlock (rb_nativethread_lock_t *lock)
void | rb_native_mutex_lock (rb_nativethread_lock_t *lock)
int | rb_native_mutex_trylock (rb_nativethread_lock_t *lock)
void | rb_native_mutex_unlock (rb_nativethread_lock_t *lock)
void | rb_native_mutex_initialize (rb_nativethread_lock_t *lock)
void | rb_native_mutex_destroy (rb_nativethread_lock_t *lock)
void | rb_native_cond_signal (rb_nativethread_cond_t *cond)
void | rb_native_cond_broadcast (rb_nativethread_cond_t *cond)
void | rb_native_cond_wait (rb_nativethread_cond_t *cond, rb_nativethread_lock_t *mutex)
void | rb_native_cond_timedwait (rb_nativethread_cond_t *cond, rb_nativethread_lock_t *mutex, unsigned long msec)
void | rb_native_cond_initialize (rb_nativethread_cond_t *cond)
void | rb_native_cond_destroy (rb_nativethread_cond_t *cond)

## Detailed Description

Author

Author
  ko1

Date
  Wed May 14 19:37:31 2014

Copyright
  Copyright (C) 2014 Yukihiro Matsumoto
  This file is a part of the programming language Ruby. Permission is hereby granted, to either redistribute and/or modify this file, provided that the conditions mentioned in the file COPYING are met. Consult the file for details.

Definition in file thread_native.h.

## Function Documentation

## ◆ rb_native_cond_broadcast()

void rb_native_cond_broadcast | ( | rb_nativethread_cond_t * | cond | ) |

## ◆ rb_native_cond_destroy()

void rb_native_cond_destroy | ( | rb_nativethread_cond_t * | cond | ) |

## ◆ rb_native_cond_initialize()

void rb_native_cond_initialize | ( | rb_nativethread_cond_t * | cond | ) |

Referenced by Init_BareVM().

## ◆ rb_native_cond_signal()

void rb_native_cond_signal | ( | rb_nativethread_cond_t * | cond | ) |

Referenced by rb_vm_barrier().

## ◆ rb_native_cond_timedwait()

void rb_native_cond_timedwait | ( | rb_nativethread_cond_t * | cond,
|  | rb_nativethread_lock_t * | mutex,
|  | unsigned long | msec
| ) |  |

## ◆ rb_native_cond_wait()

void rb_native_cond_wait | ( | rb_nativethread_cond_t * | cond,
|  | rb_nativethread_lock_t * | mutex
| ) |  |

## ◆ rb_native_mutex_destroy()

void rb_native_mutex_destroy | ( | rb_nativethread_lock_t * | lock | ) |

Referenced by rb_nativethread_lock_destroy(), and ruby_vm_destruct().

## ◆ rb_native_mutex_initialize()

void rb_native_mutex_initialize | ( | rb_nativethread_lock_t * | lock | ) |

Referenced by Init_BareVM(), Init_Thread_Mutex(), and rb_nativethread_lock_initialize().

## ◆ rb_native_mutex_lock()

void rb_native_mutex_lock | ( | rb_nativethread_lock_t * | lock | ) |

Referenced by rb_nativethread_lock_lock().

## ◆ rb_native_mutex_trylock()

int rb_native_mutex_trylock | ( | rb_nativethread_lock_t * | lock | ) |

## ◆ rb_native_mutex_unlock()

void rb_native_mutex_unlock | ( | rb_nativethread_lock_t * | lock | ) |

Referenced by rb_nativethread_lock_unlock().

## ◆ rb_nativethread_lock_destroy()

void rb_nativethread_lock_destroy | ( | rb_nativethread_lock_t * | lock | ) |

Definition at line 436 of file thread.c.

References rb_native_mutex_destroy().

## ◆ rb_nativethread_lock_initialize()

void rb_nativethread_lock_initialize | ( | rb_nativethread_lock_t * | lock | ) |

Definition at line 430 of file thread.c.

References rb_native_mutex_initialize().

## ◆ rb_nativethread_lock_lock()

void rb_nativethread_lock_lock | ( | rb_nativethread_lock_t * | lock | ) |

Definition at line 442 of file thread.c.

References rb_native_mutex_lock().

Referenced by rb_grantpt(), rb_postponed_job_flush(), and rb_workqueue_register().

## ◆ rb_nativethread_lock_unlock()

void rb_nativethread_lock_unlock | ( | rb_nativethread_lock_t * | lock | ) |

Definition at line 448 of file thread.c.

References rb_native_mutex_unlock().

Referenced by rb_grantpt(), rb_postponed_job_flush(), and rb_workqueue_register().

## ◆ rb_nativethread_self()

rb_nativethread_id_t rb_nativethread_self | ( |  | ) |